Skip to main content
GET
/
posts
List Posts
curl --request GET \
  --url https://mvp.tryunsora.com/api/v1/posts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://mvp.tryunsora.com/api/v1/posts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://mvp.tryunsora.com/api/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "posts": [
      {
        "id": "<string>",
        "userId": "<string>",
        "mainCaption": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "scheduledFor": "2023-11-07T05:31:56Z",
        "scheduledTimezone": "<string>",
        "publishedAt": "2023-11-07T05:31:56Z",
        "error": "<string>",
        "media": [
          {
            "id": "<string>",
            "postId": "<string>",
            "order": 123,
            "assetId": "<string>"
          }
        ],
        "postAccounts": [
          {
            "id": "<string>",
            "postId": "<string>",
            "accountId": "<string>",
            "published": true,
            "customCaption": "<string>",
            "title": "<string>",
            "publishedAt": "2023-11-07T05:31:56Z",
            "account": {
              "id": "<string>",
              "provider": "<string>",
              "accountName": "<string>",
              "accountUsername": "<string>",
              "profilePicture": "<string>"
            }
          }
        ]
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "total": 123,
      "totalPages": 123
    }
  }
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Clerk session JWT or Unsora API key (uns_live_*)

Query Parameters

status
enum<string>
Available options:
DRAFT,
SCHEDULED,
PUBLISHING,
PUBLISHED,
FAILED
type
enum<string>
Available options:
VIDEO,
IMAGE,
CAROUSEL,
TEXT
page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated post list

success
boolean
required
data
object
required